TomcatLoader (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.grails.plugins.tomcat
[Groovy] Class TomcatLoader

    java.lang.Object
      org.apache.catalina.util.LifecycleBase
          org.grails.plugins.tomcat.TomcatLoader

All Implemented Interfaces:
  org.apache.catalina.Loader

    class TomcatLoader
    extends org.apache.catalina.util.LifecycleBase

A loader instance used for the embedded version of Tomcat 7.

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary

Fields inherited from class org.apache.catalina.util.LifecycleBase
BEFORE_INIT_EVENT, AFTER_INIT_EVENT, START_EVENT, BEFORE_START_EVENT, AFTER_START_EVENT, STOP_EVENT, BEFORE_STOP_EVENT, AFTER_STOP_EVENT, AFTER_DESTROY_EVENT, BEFORE_DESTROY_EVENT, PERIODIC_EVENT, CONFIGURE_START_EVENT, CONFIGURE_STOP_EVENT

Property Summary
`java.lang.ClassLoader` | `classLoader`
`org.apache.catalina.Container` | `container`
`boolean` | `delegate`
`boolean` | `reloadable`

Constructor Summary
`TomcatLoader(java.lang.ClassLoader classLoader)`

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `addRepository(java.lang.String repository)`
`void` | `backgroundProcess()`
`protected void` | `destroyInternal()`
`java.lang.String[]` | `findRepositories()`
`java.lang.String` | `getInfo()`
`protected void` | `initInternal()`
`boolean` | `modified()`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)`
`protected void` | `startInternal()`
`protected void` | `stopInternal()`

Methods inherited from class org.apache.catalina.util.LifecycleBase
org.apache.catalina.util.LifecycleBase#init(), org.apache.catalina.util.LifecycleBase#stop(), org.apache.catalina.util.LifecycleBase#start(), org.apache.catalina.util.LifecycleBase#destroy(), org.apache.catalina.util.LifecycleBase#getState(), org.apache.catalina.util.LifecycleBase#addLifecycleListener(org.apache.catalina.LifecycleListener), org.apache.catalina.util.LifecycleBase#findLifecycleListeners(), org.apache.catalina.util.LifecycleBase#removeLifecycleListener(org.apache.catalina.LifecycleListener), org.apache.catalina.util.LifecycleBase#getStateName(), org.apache.catalina.util.LifecycleBase#wait(), org.apache.catalina.util.LifecycleBase#wait(long, int), org.apache.catalina.util.LifecycleBase#wait(long), org.apache.catalina.util.LifecycleBase#equals(java.lang.Object), org.apache.catalina.util.LifecycleBase#toString(), org.apache.catalina.util.LifecycleBase#hashCode(), org.apache.catalina.util.LifecycleBase#getClass(), org.apache.catalina.util.LifecycleBase#notify(), org.apache.catalina.util.LifecycleBase#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### classLoader

    java.lang.ClassLoader classLoader

### container

    org.apache.catalina.Container container

### delegate

    boolean delegate

### reloadable

    boolean reloadable

Constructor Detail

### TomcatLoader

    TomcatLoader(java.lang.ClassLoader classLoader)

Method Detail

### addPropertyChangeListener

    void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

### addRepository

    void addRepository(java.lang.String repository)

### backgroundProcess

    void backgroundProcess()

### destroyInternal

    @Override
    protected void destroyInternal()

### findRepositories

    java.lang.String[] findRepositories()

### getInfo

    java.lang.String getInfo()

### initInternal

    @Override
    protected void initInternal()

### modified

    boolean modified()

### removePropertyChangeListener

    void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

### startInternal

    @Override
    protected void startInternal()

### stopInternal

    @Override
    protected void stopInternal()

Groovy Documentation